summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorOliver Schib <lich000king@yahoo.de>2016-07-05 20:52:25 +0200
committerWaldemar Brodkorb <wbx@uclibc-ng.org>2016-07-06 07:58:26 +0200
commitb5f9c8b5c54e58b7425ddf5f2c2c9623bd13beed (patch)
tree1525ae7c837b5d2fb7d6b1adb68d94ba6a38ec97
parent6b90348582447ca53e014eb162c687751f7cb4fe (diff)
Add init scripts for jack and brutefir
These scripts will start jack and brutefir in this order and are also compatible with subsequent startup of mpd. Brutefir will create a sample config file ~/.brutefir_defaults when run without arguments. Signed-off-by: Oliver Schib <lich000king@yahoo.de>
-rw-r--r--package/brutefir/files/brutefir.init28
-rw-r--r--package/brutefir/files/brutefir.postinst4
-rw-r--r--package/jack/files/jack.init28
-rw-r--r--package/jack/files/jack.postinst4
4 files changed, 64 insertions, 0 deletions
diff --git a/package/brutefir/files/brutefir.init b/package/brutefir/files/brutefir.init
new file mode 100644
index 000000000..b3a85aa76
--- /dev/null
+++ b/package/brutefir/files/brutefir.init
@@ -0,0 +1,28 @@
+#!/bin/sh
+#PKG brutefir
+#INIT 79
+. /etc/rc.conf
+
+case $1 in
+autostop) ;;
+autostart)
+ test x"${brutefir:-NO}" = x"NO" && exit 0
+ test x"$brutefir" = x"DAEMON" && test -x /bin/mksh && exec mksh -T- $0 start
+ exec sh $0 start
+ ;;
+start)
+ (/usr/bin/brutefir $brutefir_flags &) && sleep 0.2
+ ;;
+stop)
+ kill $(pgrep -f /usr/bin/brutefir) && sleep 0.2
+ ;;
+restart)
+ sh $0 stop
+ sh $0 start
+ ;;
+*)
+ echo "Usage: $0 {start | stop | restart}"
+ exit 1
+ ;;
+esac
+exit $?
diff --git a/package/brutefir/files/brutefir.postinst b/package/brutefir/files/brutefir.postinst
new file mode 100644
index 000000000..d78a782ef
--- /dev/null
+++ b/package/brutefir/files/brutefir.postinst
@@ -0,0 +1,4 @@
+#!/bin/sh
+. $IPKG_INSTROOT/etc/functions.sh
+add_rcconf brutefir NO
+add_rcconf brutefir_flags '-nodefault -daemon /data/brutefir/config/brutefir.conf'
diff --git a/package/jack/files/jack.init b/package/jack/files/jack.init
new file mode 100644
index 000000000..53a81ac07
--- /dev/null
+++ b/package/jack/files/jack.init
@@ -0,0 +1,28 @@
+#!/bin/sh
+#PKG jack
+#INIT 78
+. /etc/rc.conf
+
+case $1 in
+autostop) ;;
+autostart)
+ test x"${jack:-NO}" = x"NO" && exit 0
+ test x"$jack" = x"DAEMON" && test -x /bin/mksh && exec mksh -T- $0 start
+ exec sh $0 start
+ ;;
+start)
+ (/usr/bin/jackd $jack_flags &) && sleep 0.1
+ ;;
+stop)
+ kill $(pgrep -f /usr/bin/jackd ) && sleep 0.1
+ ;;
+restart)
+ sh $0 stop
+ sh $0 start
+ ;;
+*)
+ echo "Usage: $0 {start | stop | restart}"
+ exit 1
+ ;;
+esac
+exit $?
diff --git a/package/jack/files/jack.postinst b/package/jack/files/jack.postinst
new file mode 100644
index 000000000..c28d4a148
--- /dev/null
+++ b/package/jack/files/jack.postinst
@@ -0,0 +1,4 @@
+#!/bin/sh
+. $IPKG_INSTROOT/etc/functions.sh
+add_rcconf jack NO
+add_rcconf jack_flags '-R -P70 -dalsa -r44100 -dhw:0 -p1024'